/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of appreports which is released under GPL-3.0-or-later.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, August 2020
 */

export default {
  type:  'array',
  child: {
    type:       'object',
    properties: [
      {
        type:    'string',
        name:    'type',
        choices: [
          'table',
          'chart'
        ]
      },
      {
        name:  'columns',
        type:  'array',
        child: { type: 'string' },
        if:    { prop: 'type', op: '=', val: 'table' }
      },
      {
        name: 'x',
        type: 'string',
        if:    { prop: 'type', op: '=', val: 'chart' }
      },
      {
        name:  'y',
        type:  'array',
        if:    { prop: 'type', op: '=', val: 'chart' },
        child: {
          type:       'object',
          properties: [
            { type: 'string', name: 'label' },
            { type: 'string', name: 'field' },
            { type: 'string', name: 'color' },
            { type: 'string', name: 'fill' }
          ]
        }
      }
    ]
  }
};
